module axis_mod

  implicit none

  private
  public :: axis

  type :: axis
    integer        :: n
    real           :: o
    real           :: d
    character(256) :: label
    character(256) :: units
    contains
      !TODO: Implement these
      !procedure get_count
      !procedure get_sampling
      !procedure get_delta
  end type

  interface axis
    module procedure :: const
  end interface

  contains

    type(axis) function const(n, o, d, label, units)
      optional o, d, label, units
      integer        :: n
      real           :: o
      real           :: d
      character(256) :: label
      character(256) :: units
      const%n = n
      if(present(o)) then 
        const%o = o
      else
        const%o = 0.0
      endif
      if(present(d)) then
        const%d = d
      else
        const%d = 1.0
      endif
      if(present(label)) const%label = label
      if(present(units)) const%units = units
    end function

end module
