% c must be column vector of size 2*N-1

function fc = Ffocus(c)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Estimate N (number of samples)

N = size(c);
N = (N(1,1)+1)/2;
%//////////////////////////////////////////////////////////////////////////

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calculate Ffocus

fc = zeros(2*N-1,1);

fc(2:N-1,1) = c(1:N-2,1);
fc(N+1:2*N-2,1) = c(N+2:2*N-1,1);
fc(N,1) = c(N,1);
%//////////////////////////////////////////////////////////////////////////

return;

end