% c must be column vector of size N
% index is the number of samples after which masking starts
% index is assumed to be a valid number between [1,N]
% flag = 0 : implements mask
% flag = 1 : implements complement of mask

function fc = Fmask(c,index,flag)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Estimate N (number of samples)

N = size(c);
N = N(1,1);
%//////////////////////////////////////////////////////////////////////////

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calculate Fmask

fc = zeros(N,1);

if(flag == 0)
    fc(1:index,1) = c(1:index,1);
end

if(flag == 1)
    fc(index+1:N,1) = c(index+1:N,1);
end
%//////////////////////////////////////////////////////////////////////////

return;

end