% c must be column vector of size N
% shift is the number of samples to shift by (assumed to be between [1,N]

function fc = Fshift(c,shift)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Estimate N (number of samples)

N = size(c);
N = N(1,1);
%//////////////////////////////////////////////////////////////////////////

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calculate Fshift

fc = zeros(N,1);
s = max(1+shift,1);
e = min(N+shift,N);
fc(s:e,1) = c(s-shift:e-shift,1);
%//////////////////////////////////////////////////////////////////////////

return;

end